<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">

    <title>Spring Boot Exemple</title>

</head>
<body>

<a href="/post/new">New post</a>
<div class="container">
    <div th:if="${not #lists.isEmpty(posts)}">
        <h1>Post List</h1>
        <table class="table table-striped">
            <tr>
                <th>Id</th>
                <th>Titulo</th>
                <th>Texto</th>
                <th>Usuario</th>
                <th>Likes</th>
                <th>Acciones</th>
            </tr>
            <tr th:each="post : ${posts}">
                <td th:text="${post.id}">Id</td>

                <td th:text="${post.title}">title</td>
                <td th:text="${post.text}">text</td>
                <td th:text="${post.user.name}">text</td>
                <td th:text="${post.likes}">likes</td>
                <td><a th:href="${ '/post/' + post.id}">Ver</a>
                    <a th:href="${ '/post/eliminar/' + post.id}">Eliminar</a>
                    <a th:href="${ '/post/editar/' + post.id}">Editar</a>
                </td>
            </tr>
        </table>
    </div>
</div>

</body>
</html>